it-swarm.com.ru

Steam всплывает с диалогом "устаревший клиент", хотя я использовал .deb с сайта Steam

Название говорит обо всем. Обновлен до Ubuntu 16.04 сегодня, (ДЕНЬ ПЕРВЫЙ ^ _ ^), и это кажется странным.

Точный вывод:

Ваш пакет Steam устарел. Получите обновленную версию у поставщика пакетов или напрямую по адресу http://repo.steampowered.com/Steam для поддерживаемых дистрибутивов.

2
Riley Felix

Кажется, проблема в библиотеках libpcre в версии с веб-сайта Valve. Я исправил эту проблему, удалив эти библиотеки из каталога Steam, заставив Steam использовать тот, который установлен в системе.

rm ~/.local/share/Steam/ubuntu12_32/Steam-runtime/AMD64/lib/x86_64-linux-gnu/libpcre.so.3
rm ~/.local/share/Steam/ubuntu12_32/Steam-runtime/AMD64/lib/x86_64-linux-gnu/libpcre.so.3.12.1

Возможно, вам придется повторять этот шаг после каждого обновления, которое выполняет Steam (если они не исправят это).

1
Videonauth

Я нашел решение этой проблемы, которое работает для меня, здесь .

Просто:

  • вы должны удалить пакет Steam-Launcher , используя следующую команду в терминале

    Sudo apt-get удалить Steam-launcher

  • удалить репозиторий " http://repo.steampowered.com " из раздела "Программное обеспечение и обновления"

  • установить пакет Steam

    Sudo apt-get установить Steam

0
Oleksandr Tarasenko